For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
            • GETList B2B Users
            • POSTCreate Company User
            • POSTBulk Create Users
            • GETGet User Details
            • PUTUpdate User Details
            • DELDelete User
            • GETGet User Details by BigCommerce Customer ID
            • GETList Extra Fields for Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementUsers

List Extra Fields for Users

GET
https://api-b2b.bigcommerce.com/api/v3/io/users/extra-fields
GET
/api/v3/io/users/extra-fields
$curl https://api-b2b.bigcommerce.com/api/v3/io/users/extra-fields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 12,
6 "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
7 "fieldName": "Customer Loyalty Number",
8 "fieldType": 0,
9 "isRequired": false,
10 "isUnique": true,
11 "visibleToEnduser": true,
12 "configType": 2,
13 "defaultValue": "N/A",
14 "maximumLength": "20",
15 "numberOfRows": null,
16 "maximumValue": null,
17 "listOfValue": []
18 },
19 {
20 "id": 15,
21 "uuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
22 "fieldName": "Preferred Contact Method",
23 "fieldType": 3,
24 "isRequired": true,
25 "isUnique": false,
26 "visibleToEnduser": true,
27 "configType": 2,
28 "defaultValue": "Email",
29 "maximumLength": null,
30 "numberOfRows": null,
31 "maximumValue": null,
32 "listOfValue": [
33 "Email",
34 "Phone",
35 "SMS",
36 "Postal Mail"
37 ]
38 },
39 {
40 "id": 18,
41 "uuid": "9b2d7f3a-1c4e-4f3a-8f3a-2d7f3a1c4e4f",
42 "fieldName": "Account Notes",
43 "fieldType": 1,
44 "isRequired": false,
45 "isUnique": false,
46 "visibleToEnduser": false,
47 "configType": 2,
48 "defaultValue": "",
49 "maximumLength": null,
50 "numberOfRows": "5",
51 "maximumValue": null,
52 "listOfValue": []
53 },
54 {
55 "id": 21,
56 "uuid": "d2719f3a-4e5f-4a3b-9f3a-1c4e2d7f3a1c",
57 "fieldName": "Customer Rating",
58 "fieldType": 2,
59 "isRequired": false,
60 "isUnique": false,
61 "visibleToEnduser": true,
62 "configType": 1,
63 "defaultValue": "3",
64 "maximumLength": null,
65 "numberOfRows": null,
66 "maximumValue": "5",
67 "listOfValue": []
68 }
69 ],
70 "meta": {
71 "pagination": {
72 "totalCount": 4,
73 "limit": 10,
74 "offset": 0
75 },
76 "message": "Success"
77 }
78}
Returns paginated list of extra field definitions for users.
Was this page helpful?
Previous

Get User Details by BigCommerce Customer ID

Next

GraphQL API Overview

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

offsetintegerOptional>=0Defaults to 0
The number of items to skip before starting to collect the result set.
limitintegerOptional1-250Defaults to 10
The maximum number of results to return.

Response

Success
codeinteger
datalist of objects
metaobject